<script>
    import UserOverview from './UserOverview.svelte';

    export /**
     * @type {any}
     */
    let account_full;

    let account_object = account_full.objects[account_full.id];
    let uid = account_object.id;
    let num = account_object.name;
</script>

<div class=" flex w-full h-full justify-center">
    <div class="flex w-full flex-col gap-2 p-5 mx-28">
        <UserOverview {account_full} />
        <!-- switches -->
        <div>
            <div class="switch-tab-border ">
                <div class="flex text-lg font-semibold">
                    <a href="/u/{num}">
                        <div
                            class=" px-3 cursor-pointer py-[1px] border-l-2 rounded-l-md border-y-2 border-solid border-black"
                        >
                            <h2>Details</h2>
                        </div></a
                    >
                    <a href="/u/{num}/issued">
                        <div
                            class="active px-3 cursor-pointer py-[1px] border-2 border-solid border-black"
                        >
                            <h2>Issued</h2>
                        </div>
                    </a>
                    <a href="/u/{num}/collected">
                        <div
                            class=" px-3 cursor-pointer py-[1px] border-r-2 rounded-r-md border-y-2 border-l-0 border-solid border-black"
                        >
                            <h2>Collected</h2>
                        </div>
                    </a>
                </div>
            </div>
        </div>

        <!-- switch content -->
        <div class="px-7 py-3">
            <div class="flex gap-4 text-lg font-medium ">
                <div>
                    <p>Coming Soon:</p>
                </div>
                <div>
                    <p>This tab will list NFTs issued by the user</p>
                </div>
            </div>
        </div>

        <!-- json box -->
        <div class="flex flex-col gap-3">
            <div class="text-lg font-semibold">
                <h3>Raw JSON:</h3>
            </div>

            <div
                class="border-2 border-solid border-black rounded-3xl px-3 py-2 text-xs font-medium break-all"
            >
                <span class="py-1">
                    {JSON.stringify(account_object, null, 2)}
                </span>
            </div>
        </div>
    </div>
</div>

<style>
    .switch-tab-border {
        display: flex;
        flex-direction: row;
    }
    .switch-tab-border::before,
    .switch-tab-border::after {
        content: '';
        flex: 1 1;
        border-bottom: 2px solid #000;
        margin: auto;
    }
    .active {
        background-color: gainsboro;
    }
</style>
